# Record Class SyWindowSetChanged

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.windows.SyWindowSetChanged

Record Components:
  `newSet` - The new window set
  `changes` - The set of changes

public record SyWindowSetChanged(SyWindowSet newSet, List<SyWindowEventType> changes) extends Record
An event indicating that the window set changed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyWindowSetChanged(SyWindowSet newSet, List<SyWindowEventType> changes)`
  An event indicating that the window set changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SyWindowEventType>`
  `changes()`
  Returns the value of the `changes` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `SyWindowSet`
  `newSet()`
  Returns the value of the `newSet` record component.
  `SyWindowSetChanged`
  `then(Function<SyWindowSet, SyWindowSetChanged> f)`
  Apply a function to the current window set, yielding a new window set change.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `SyWindowSetChanged`
  `withoutChanges()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyWindowSetChanged

    public SyWindowSetChanged(SyWindowSet newSet, List<SyWindowEventType> changes)
    An event indicating that the window set changed.
    Parameters:
      `newSet` - The new window set
      `changes` - The set of changes

- ## Method Details

  - ### then

    public SyWindowSetChanged then(Function<SyWindowSet, SyWindowSetChanged> f)
    Apply a function to the current window set, yielding a new window set change.
    Parameters:
      `f` - A function
    Returns:
      The window set change

  - ### withoutChanges

    public SyWindowSetChanged withoutChanges()
    Returns:
      This window set without the list of associated changes

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### newSet

    public SyWindowSet newSet()
    Returns the value of the `newSet` record component.
    Returns:
      the value of the `newSet` record component

  - ### changes

    public List<SyWindowEventType> changes()
    Returns the value of the `changes` record component.
    Returns:
      the value of the `changes` record component